Bug 1286421 - Containers: Metrics/utilization is broken for Pods
Containers: Metrics/utilization is broken for Pods
Status: CLOSED ERRATA
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS (Show other bugs)
5.5.0
Unspecified Unspecified
urgent Severity urgent
: GA
: 5.5.0
Assigned To: Federico Simoncelli
Avi Tal
container
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-29 05:47 EST by Avi Tal
Modified: 2016-04-22 00:59 EDT (History)
10 users (show)

See Also:
Fixed In Version: 5.5.0.13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-08 08:50:10 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot (837.29 KB, image/png)
2015-11-29 05:47 EST, Avi Tal
no flags Details
logs (578.20 KB, application/x-gzip)
2015-11-29 05:49 EST, Avi Tal
no flags Details

  None (edit)
Description Avi Tal 2015-11-29 05:47:30 EST
Created attachment 1100148 [details]
screenshot

Description of problem:
Failed to run utilizations for Pods. get "Unexpected error encountered" for "no implicit conversion from nil to integer [container_group/perf_chart_chooser]"

production.log raise error stack for
FATAL -- : Error caught: [TypeError] no implicit conversion from nil to integer
...

(attached logs)

Version-Release number of selected component (if applicable):
5.5.0.12

How reproducible:
When adding openshift for the first time, utilization did work but for some reason, after few days it stopped working.

The openshift master is "Molecule" from Dev setup.

Steps to Reproduce:
1. containers -> Pods
2. select pod 
3. monitoring -> utilization

Actual results:
HTTP error screen

Expected results:
View Pods metrics

Additional info:
Comment 2 Avi Tal 2015-11-29 05:49 EST
Created attachment 1100149 [details]
logs
Comment 4 Federico Simoncelli 2015-11-30 05:22:58 EST
This wasn't specific to containers (removing "container" from the whiteboard)

https://github.com/ManageIQ/manageiq/pull/5635

Moving to urgent because this issue breaks the metrics UI in an unrecoverable way after a couple of days of collections.
Comment 5 Oleg Barenboim 2015-11-30 09:19:52 EST
Merged PR https://github.com/ManageIQ/manageiq/pull/5635
Comment 7 Avi Tal 2015-12-02 16:10:23 EST
version 5.5.0.13
I was waiting for 12 hours after adding the provider.
Pods utilization still displayed normally

Verified
Comment 9 errata-xmlrpc 2015-12-08 08:50:10 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2015:2551

Note You need to log in before you can comment on or make changes to this bug.